Get a list of your account transactions

View a history of all your payments, invoices, and credits. This is useful for reviewing past transactions or finding information required for follow-up actions, such as retrieving a 'currency_id' used when calling POST /api/account/currency or an 'invoice_id' used when calling POST /api/billing/pay.

Billing & Payments Transactions

Context

Used in the dashboard

/cost-management /billing

Workflow links

Produces

Headers

Accept Example
Content-Type Example

Body

required
application/json
filters object required

Responses

200
data object required
data.hasMore boolean required · Example: false
data.success boolean required · Example: true

True for successful responses.

data.transactions array<object> required · Example: [{"in":"374.00","out":"0.00","id":"39114","type":"invoice","status":"Success","firstnam...
data.transactions[].client_id string required · Example: 30000
data.transactions[].companyname string required · Example:
data.transactions[].currency_id string required · Example: 0
data.transactions[].date string required · Example: 2026-02-10 00:00:00
data.transactions[].description string required · Example: Manual Payment
data.transactions[].fee string required · Example: 0.00
data.transactions[].firstname string required · Example: Anna
data.transactions[].id string required · Example: 39114
data.transactions[].in string required · Example: 374.00
data.transactions[].invoice_id string required · Example: 47611
data.transactions[].lastname string required · Example: Svensson
data.transactions[].module string · enum required · Example: Stripe Checkout
Apple/Google Pay
Invoice
Kortbetalning
Stripe Checkout
Swish
data.transactions[].out string · enum required · Example: 0.00
0.00
10.52
27.96
data.transactions[].status string · enum required · Example: Success
Refunded
Success
data.transactions[].trans_id string required · Example: ch_3Sh6ICIkfg2XLLg52qMLxlGv
data.transactions[].type string · enum required · Example: invoice
credit
invoice
refund
requestId string required · Example: 2121ae20-bd9d-41e9-aeeb-5dd1dd1a24ba

Unique request identifier (UUID).

success boolean required · Example: true

True for successful responses.

timestamp string required · Example: 2026-02-10T00:00:00.000Z

ISO 8601 timestamp (UTC).

403
code string required · Example: FORBIDDEN

Machine-readable error code.

error string required · Example: Forbidden

HTTP status title (e.g. 'Bad Request').

message string required · Example: You don't have permission to view transactions

Human-readable message.

requestId string required · Example: 2121ae20-bd9d-41e9-aeeb-5dd1dd1a24ba

Unique request identifier (UUID).

timestamp string required · Example: 2026-02-10T00:00:00.000Z

ISO 8601 timestamp (UTC).

POST https://cloud.hostup.se/api/billing/transactions
For AI assistants
cURL
curl -X POST "https://cloud.hostup.se/api/billing/transactions" \
  -H "X-API-Key: YOUR_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "filters": {
      "page": 0,
      "limit": 50
    }
  }'
Response
{
  "success": true,
  "timestamp": "2026-02-10T00:00:00.000Z",
  "requestId": "2121ae20-bd9d-41e9-aeeb-5dd1dd1a24ba",
  "data": {
    "transactions": [
      {
        "in": "374.00",
        "out": "0.00",
        "id": "39114",
        "type": "invoice",
        "status": "Success",
        "firstname": "Anna",
        "lastname": "Svensson",
        "companyname": "",
        "date": "2026-02-10 00:00:00",
        "currency_id": "0",
        "description": "Manual Payment",
        "fee": "0.00",
        "module": "Stripe Checkout",
        "client_id": "30000",
        "trans_id": "ch_3Sh6ICIkfg2XLLg52qMLxlGv",
        "invoice_id": "47611"
      },
      {
        "in": "374.00",
        "out": "0.00",
        "id": "31824",
        "type": "invoice",
        "status": "Success",
        "firstname": "Anna",
        "lastname": "Svensson",
        "companyname": "",
        "date": "2026-02-10 00:00:00",
        "currency_id": "0",
        "description": "Payment for invoice 50001",
        "fee": "13.96",
        "module": "Kortbetalning",
        "client_id": "30000",
        "trans_id": "ch_3SA3vVIkfg2XLLg50hJeNzxk",
        "invoice_id": "38975"
      }
    ],
    "hasMore": false,
    "success": true
  }
}
Request Body Example 1
{
  "filters": {
    "page": 0,
    "limit": 50
  }
}